Subject: bug#31920: 26.1; frame appears in wrong part of desktop after restoring frameset from fullscreen

From: Robert Pluim <[email-masked]>
Date: Wed, 27 Jun 2018 11:07:20 +0200

martin rudalics <[email-masked]> writes:

> I found a simpler scenario: With emacs -Q do C-x r f a, drag the frame
> somewhere else on your screen and do C-x r j a.  Here the registered
> position is restored.  Now do C-x r f a, drag the frame somewhere
> else, do F11 and C-x r j a.  Here the frame is restored to the
> position it had before F11 and not to the one registered by C-x r f a.
>

I confirm this exact behaviour under GTK.

> So this time it seems that I have the right explanation: We first
> position the frame according to the position from the register and
> then demaximize it.  But we should first demaximize and then
> reposition it.  Can you confirm?

That looks like it. The patch I sent earlier fixes it for me, but Iʼm
not sure itʼs the right solution, it feels very heavyweight.

Robert